Bulk create workflow executions
curl --request POST \
--url https://prod.featherhq.com/api/v1/workflow/{workflowId}/execution/bulk \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"leads": [
{
"customerLeadId": "<string>",
"primaryPhone": "<string>",
"zipcode": "<string>",
"state": "<string>",
"forwardingPhoneNumber": "<string>",
"variables": {},
"metadata": {
"firstName": "<string>",
"lastName": "<string>"
},
"priorityDate": "2025-01-15T00:00:00Z",
"startAt": "2025-01-15T15:30:00Z",
"attempt": 0
}
]
}
'import requests
url = "https://prod.featherhq.com/api/v1/workflow/{workflowId}/execution/bulk"
payload = { "leads": [
{
"customerLeadId": "<string>",
"primaryPhone": "<string>",
"zipcode": "<string>",
"state": "<string>",
"forwardingPhoneNumber": "<string>",
"variables": {},
"metadata": {
"firstName": "<string>",
"lastName": "<string>"
},
"priorityDate": "2025-01-15T00:00:00Z",
"startAt": "2025-01-15T15:30:00Z",
"attempt": 0
}
] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
leads: [
{
customerLeadId: '<string>',
primaryPhone: '<string>',
zipcode: '<string>',
state: '<string>',
forwardingPhoneNumber: '<string>',
variables: {},
metadata: {firstName: '<string>', lastName: '<string>'},
priorityDate: '2025-01-15T00:00:00Z',
startAt: '2025-01-15T15:30:00Z',
attempt: 0
}
]
})
};
fetch('https://prod.featherhq.com/api/v1/workflow/{workflowId}/execution/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"successful": 123,
"failed": 123,
"results": [
{
"success": true,
"executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerLeadId": "<string>",
"error": "<string>"
}
]
}{
"status": 400,
"message": "Bad request",
"code": "BAD_REQUEST",
"success": false
}{
"status": 402,
"message": "Insufficient credits",
"code": "PAYMENT_REQUIRED",
"success": false
}{
"status": 500,
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"success": false
}Workflows
Bulk create workflow executions
Create multiple agent workflow executions at once (max 25 leads)
POST
/
api
/
v1
/
workflow
/
{workflowId}
/
execution
/
bulk
Bulk create workflow executions
Authorizations
Path Parameters
Body
application/json
Array of leads to create (max 25)
Required array length:
1 - 25 elementsShow child attributes
Show child attributes
⌘I